Bug 1463167 - crash in geometry update on window close
crash in geometry update on window close
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:36a24bd74527393aa606d927e71...
:
: 1511601 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 05:50 EDT by Lubomir Rintel
Modified: 2018-06-06 11:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnome-terminal-3.27.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:31:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.27 KB, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: cgroup (355 bytes, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: core_backtrace (29.13 KB, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: dso_list (10.11 KB, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: environ (3.23 KB, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: maps (53.48 KB, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: open_fds (4.26 KB, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-06-20 05:50 EDT, Lubomir Rintel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 789692 None None None 2017-10-31 11:06 EDT

  None (edit)
Description Lubomir Rintel 2017-06-20 05:50:07 EDT
Version-Release number of selected component:
gnome-terminal-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: g_type_check_instance_cast
executable:     /usr/libexec/gnome-terminal-server
journald_cursor: s=1f0314c0806a4eb3b82e8b52ee77a4c0;i=60f157;b=f52e90bb91874e3ea8401e63606bf2b4;m=90adc66a41;t=55251879504d9;x=c8c25d7257175406
kernel:         4.11.4-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            8086

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 g_type_check_instance_cast at gtype.c:4057
 #1 terminal_window_update_geometry at terminal-window.c:3751
Comment 1 Lubomir Rintel 2017-06-20 05:50:15 EDT
Created attachment 1289543 [details]
File: backtrace
Comment 2 Lubomir Rintel 2017-06-20 05:50:17 EDT
Created attachment 1289544 [details]
File: cgroup
Comment 3 Lubomir Rintel 2017-06-20 05:50:19 EDT
Created attachment 1289545 [details]
File: core_backtrace
Comment 4 Lubomir Rintel 2017-06-20 05:50:20 EDT
Created attachment 1289546 [details]
File: cpuinfo
Comment 5 Lubomir Rintel 2017-06-20 05:50:22 EDT
Created attachment 1289547 [details]
File: dso_list
Comment 6 Lubomir Rintel 2017-06-20 05:50:24 EDT
Created attachment 1289548 [details]
File: environ
Comment 7 Lubomir Rintel 2017-06-20 05:50:26 EDT
Created attachment 1289549 [details]
File: exploitable
Comment 8 Lubomir Rintel 2017-06-20 05:50:27 EDT
Created attachment 1289550 [details]
File: limits
Comment 9 Lubomir Rintel 2017-06-20 05:50:30 EDT
Created attachment 1289551 [details]
File: maps
Comment 10 Lubomir Rintel 2017-06-20 05:50:31 EDT
Created attachment 1289552 [details]
File: open_fds
Comment 11 Lubomir Rintel 2017-06-20 05:50:32 EDT
Created attachment 1289553 [details]
File: proc_pid_status
Comment 12 Lubomir Rintel 2017-06-20 05:50:34 EDT
Created attachment 1289554 [details]
File: var_log_messages
Comment 13 Christian Persch (GNOME) 2017-10-31 05:49:05 EDT
Upstream: https://bugzilla.gnome.org/show_bug.cgi?id=789692
Comment 14 Debarshi Ray 2017-11-10 08:14:26 EST
*** Bug 1511601 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2018-05-03 04:11:52 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2018-05-29 07:31:02 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 17 Debarshi Ray 2018-06-06 11:57:20 EDT
This was fixed in gnome-terminal-3.27.1-1.fc28

Note You need to log in before you can comment on or make changes to this bug.